curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/return/start' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"return_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"order_placed_date": "2026-08-31T14:22:05Z",
"order_total_cents": 4900,
"currency": "USD",
"final_sale": true,
"review_cap_cents": 1,
"refund_tool": "string",
"restock_params": {}
}'
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Start return workflow
Return/refund workflow started with a deterministic, brand-scoped id.
POST
/
v1
/
workflows
/
return
/
start
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/return/start' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"return_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"order_placed_date": "2026-08-31T14:22:05Z",
"order_total_cents": 4900,
"currency": "USD",
"final_sale": true,
"review_cap_cents": 1,
"refund_tool": "string",
"restock_params": {}
}'
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Request body
object
string
required
string
required
string
required
string
required
string
required
integer
required
string
required
boolean
integer
string
required
object
Response
StartWorkflowResponse
string
required
string
Status codes
| Code | Meaning |
|---|---|
200 | Return/refund workflow started with a deterministic, brand-scoped id. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/return/start' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"return_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"order_placed_date": "2026-08-31T14:22:05Z",
"order_total_cents": 4900,
"currency": "USD",
"final_sale": true,
"review_cap_cents": 1,
"refund_tool": "string",
"restock_params": {}
}'
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Last modified on August 31, 2026